Subject: Re: bug#38722: 27.0.50; bad position of character encoding declaration in the HTML version of manuals

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Aug 2020 15:58:19 -0700

Gavin Smith <[email-masked]> writes:

> On Mon, Dec 23, 2019 at 06:32:55PM +0900, Jean-Christophe Helary wrote:
>> According to the W3C internationalization activity, the character encoding declaration must be fully included in the first 1024 bits of the HTML page:
>>
>> https://www.w3.org/International/questions/qa-html-encoding-declarations
>>
>> The current declaration falls short of that by about 30 bits because of the 871 characters long comment describing the contents to the file which could be put right after the declaration.
>
> You mean 1024 bytes.
>
> We attempted to fix this issue before but apparently it is not enough.
> If the copying statement is too long, then the encoding declaration will
> be too late.
>
> https://lists.gnu.org/archive/html/bug-texinfo/2017-08/msg00014.html
>
> I've attempted to fix it in commit 749dcd4a5.  Thanks for the report.

If I understand this thread correctly, this was a bug in texinfo, and
not in Emacs.  I'm therefore closing the Emacs bug report now.

If this conclusion is incorrect, please reply to this email (use "Reply
to all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas